Loading...
Searching...
No Matches
Dune::Amg::SubGraph< G, T >::EdgeIndexMap Class Reference

An index map for mapping the edges to indices. More...

`#include <dune/istl/paamg/graph.hh>`

## Public Types

typedef ReadablePropertyMapTag | Category

## Public Member Functions

| EdgeIndexMap (const EdgeDescriptor &firstEdge)
| EdgeIndexMap (const EdgeIndexMap &emap)
| Protect copy construction.
std::size_t | operator[] (const EdgeDescriptor &edge) const

## Detailed Description

template<class G, class T>
class Dune::Amg::SubGraph< G, T >::EdgeIndexMap

An index map for mapping the edges to indices.

This should be used for attaching properties to a SubGraph using VertexPropertiesGraph od PropertiesGraph.

## Member Typedef Documentation

## Category

template<class G, class T>

typedef ReadablePropertyMapTag Dune::Amg::SubGraph< G, T >::EdgeIndexMap::Category

## Constructor & Destructor Documentation

## EdgeIndexMap() [1/2]

template<class G, class T>

Dune::Amg::SubGraph< G, T >::EdgeIndexMap::EdgeIndexMap | ( | const EdgeDescriptor & | firstEdge | ) |

inline

## EdgeIndexMap() [2/2]

template<class G, class T>

Dune::Amg::SubGraph< G, T >::EdgeIndexMap::EdgeIndexMap | ( | const EdgeIndexMap & | emap | ) |

inline

Protect copy construction.

## Member Function Documentation

## operator[]()

template<class G, class T>

std::size_t Dune::Amg::SubGraph< G, T >::EdgeIndexMap::operator[] | ( | const EdgeDescriptor & | edge | ) | const

inline

The documentation for this class was generated from the following file:

- graph.hh